首页新闻找找看学习计划

ie和webbrowser的版本问题

0
悬赏园豆:20 [已解决问题] 解决于 2014-02-25 11:27

公司需要在winfrom中内嵌webBrowser,但是对不同的ie版本的浏览器会有兼容问题,公司想用不同的.net版本的webBrowser去对应不同版本的ie版本的内核,所以需要知不同.net版本下的webBrowser如何去对应不同版本的ie内核,如果有知道这方面的可以给我说下,谢谢

马甲-OK的主页 马甲-OK | 初学一级 | 园豆:43
提问于:2014-02-20 22:48
< >
分享
最佳答案
0

用这些webBrowser去访问Html5Test这个网站就行

收获园豆:10
羽商宫 | 老鸟四级 |园豆:2493 | 2014-02-21 13:32
其他回答(2)
0

Webbrowser本来就是调用本机的IE,你电脑上ie是什么版本,webbrowser运行时就会是什么版本,

不一样的电脑上版本自然就不一样了

收获园豆:10
吴瑞祥 | 园豆:28731 (高人七级) | 2014-02-21 08:42

不是的,我在网上看到的,webBrowser调用的是最低版本的,比如你机子上有ie9或ie8,那么他调用的就是ie7的兼容模式

支持(0) 反对(0) 马甲-OK | 园豆:43 (初学一级) | 2014-02-21 08:45

@不必悲伤: 是的,调用的版本可以控制

http://www.cnblogs.com/liuzhendong/archive/2012/03/21/2410107.html

支持(0) 反对(0) 吴瑞祥 | 园豆:28731 (高人七级) | 2014-02-21 08:57

@吴瑞祥: 有没有办法可以查看到webBrowser的版本信息了

支持(0) 反对(0) 马甲-OK | 园豆:43 (初学一级) | 2014-02-21 08:59

@吴瑞祥: 上回也发现这个问题了,还怀疑是.netframework的问题,终于找到答案了。

支持(0) 反对(0) 沧海一杰 | 园豆:28 (初学一级) | 2014-02-21 20:40
0

最后怎么解决的啊?我也遇到了这个问题

WYan13 | 园豆:50 (初学一级) | 2016-05-10 17:16
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册